summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Philip van der Hoeven2014-12-31 13:02:45 +0100
committer Willy Sudiarto Raharjo2014-12-31 13:02:45 +0100
commit9147c65e761cf724e07365776a67d2f1fe429bb5 (patch)
treefb906017b874f512e86c3314907ad5a0de9b2293
parentd5784e5912b14ced947426152c08a2fbf2640c1a (diff)
downloadslackbuilds-9147c65e761cf724e07365776a67d2f1fe429bb5.tar.gz
network/sabnzbd: Added (Binary newsreader).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/sabnzbd/README14
-rw-r--r--network/sabnzbd/doinst.sh29
-rw-r--r--network/sabnzbd/rc.sabnzbd22
-rw-r--r--network/sabnzbd/sab2_64.pngbin0 -> 2745 bytes
-rw-r--r--network/sabnzbd/sabnzbd3
-rw-r--r--network/sabnzbd/sabnzbd.SlackBuild101
-rw-r--r--network/sabnzbd/sabnzbd.desktop8
-rw-r--r--network/sabnzbd/sabnzbd.info10
-rw-r--r--network/sabnzbd/slack-desc19
9 files changed, 206 insertions, 0 deletions
diff --git a/network/sabnzbd/README b/network/sabnzbd/README
new file mode 100644
index 0000000000..fc4c345322
--- /dev/null
+++ b/network/sabnzbd/README
@@ -0,0 +1,14 @@
+SABnzbd is an Open Source Binary Newsreader written in Python.
+
+This requires a sabnzbd user and group which can be created like so:
+# groupadd -g 296 sabnzbd
+# useradd -d /opt/sabnzbd -s /bin/false -u 296 -g 296 sabnzbd
+
+SABnzbd can be started with the script /etc/rc.d/rc.sabnzbd at boot.
+It will then run as user sabnzbd. This is intended for server without X usage.
+SABnzbd can be configured by pointing your browser to:
+http://<hostname>:8080
+
+It can also be started from the application menu/launcher or from the
+commandline with 'sabnzbd'. It will then run as the logged in user.
+This is intended for desktop usage.
diff --git a/network/sabnzbd/doinst.sh b/network/sabnzbd/doinst.sh
new file mode 100644
index 0000000000..3a5632c736
--- /dev/null
+++ b/network/sabnzbd/doinst.sh
@@ -0,0 +1,29 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.sabnzbd.new
+config etc/sabnzbd/sabnzbd.ini.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/sabnzbd/rc.sabnzbd b/network/sabnzbd/rc.sabnzbd
new file mode 100644
index 0000000000..a2a7c7e69e
--- /dev/null
+++ b/network/sabnzbd/rc.sabnzbd
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+SABNZBD_USER="sabnzbd"
+SABNZBD_CONF="/etc/sabnzbd/sabnzbd.ini"
+
+PIDFILE="/var/run/sabnzbd/sabnzbd-8080.pid"
+
+case "$1" in
+ start)
+ if [[ -f $PIDFILE ]]; then
+ echo "Pidfile $PIDFILE already exists, is sabnzbd already running ?"
+ exit 1
+ fi
+ su - $SABNZBD_USER -c "unset DISPLAY; python -OO /opt/sabnzbd/SABnzbd.py -f $SABNZBD_CONF -d --pid /var/run/sabnzbd" -s /bin/sh
+ ;;
+ stop)
+ kill $(cat $PIDFILE)
+ ;;
+ *)
+ echo "usage: $0 {start|stop}"
+esac
+exit 0
diff --git a/network/sabnzbd/sab2_64.png b/network/sabnzbd/sab2_64.png
new file mode 100644
index 0000000000..2c62900063
--- /dev/null
+++ b/network/sabnzbd/sab2_64.png
Binary files differ
diff --git a/network/sabnzbd/sabnzbd b/network/sabnzbd/sabnzbd
new file mode 100644
index 0000000000..ca17aff830
--- /dev/null
+++ b/network/sabnzbd/sabnzbd
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+python /opt/sabnzbd/SABnzbd.py "${@}"
diff --git a/network/sabnzbd/sabnzbd.SlackBuild b/network/sabnzbd/sabnzbd.SlackBuild
new file mode 100644
index 0000000000..21dc8bee80
--- /dev/null
+++ b/network/sabnzbd/sabnzbd.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for sabnzbd
+
+# Copyright 2014 Philip van der Hoeven Almere The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sabnzbd
+VERSION=${VERSION:-0.7.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+bailout() {
+ echo " You must have sabnzbd user and group:"
+ echo " # groupadd -g 296 sabnzbd"
+ echo " # useradd -d /opt/sabnzbd -s /bin/false -u 296 -g 296 sabnzbd"
+ exit 1
+}
+
+# Bail if user isn't valid on your system
+if ! getent group sabnzbd 1>/dev/null 2>/dev/null ; then
+ bailout
+elif ! getent passwd sabnzbd 1>/dev/null 2>/dev/null ; then
+ bailout
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf SABnzbd-$VERSION
+tar xvf $CWD/SABnzbd-$VERSION-src.tar.gz
+cd SABnzbd-$VERSION
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/sabnzbd
+cp -a * $PKG/opt/sabnzbd/
+
+mkdir -p $PKG/usr/bin
+cat $CWD/sabnzbd > $PKG/usr/bin/sabnzbd
+chmod 755 $PKG/usr/bin/sabnzbd
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/sab2_64.png > $PKG/usr/share/pixmaps/sab2_64.png
+mkdir -p $PKG/usr/share/applications
+cat $CWD/sabnzbd.desktop > $PKG/usr/share/applications/sabnzbd.desktop
+
+mkdir -p $PKG/etc/sabnzbd
+touch $PKG/etc/sabnzbd/sabnzbd.ini.new
+chown -R sabnzbd:sabnzbd $PKG/etc/sabnzbd
+
+mkdir -p $PKG/var/run/sabnzbd
+chown -R sabnzbd:sabnzbd $PKG/var/run/sabnzbd
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.sabnzbd > $PKG/etc/rc.d/rc.sabnzbd.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/opt/sabnzbd/*txt $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/sabnzbd/sabnzbd.desktop b/network/sabnzbd/sabnzbd.desktop
new file mode 100644
index 0000000000..dcbfbe151a
--- /dev/null
+++ b/network/sabnzbd/sabnzbd.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=SABnzbd
+Comment=Binary newsreader
+Exec=sabnzbd
+Icon=sab2_64
+Terminal=false
+Type=Application
+Categories=Network;
diff --git a/network/sabnzbd/sabnzbd.info b/network/sabnzbd/sabnzbd.info
new file mode 100644
index 0000000000..76b19cbf8b
--- /dev/null
+++ b/network/sabnzbd/sabnzbd.info
@@ -0,0 +1,10 @@
+PRGNAM="sabnzbd"
+VERSION="0.7.20"
+HOMEPAGE="http://sabnzbd.org"
+DOWNLOAD="http://sourceforge.net/projects/sabnzbdplus/files/sabnzbdplus/0.7.20/SABnzbd-0.7.20-src.tar.gz"
+MD5SUM="7972b2cdad0a3431262611c271ce5747"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python-cheetah python-yenc pyOpenSSL unrar par2cmdline"
+MAINTAINER="Philip van der Hoeven"
+EMAIL="philip@vd-hoeven.nl"
diff --git a/network/sabnzbd/slack-desc b/network/sabnzbd/slack-desc
new file mode 100644
index 0000000000..c58616f552
--- /dev/null
+++ b/network/sabnzbd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sabnzbd: sabnzbd (Binary newsreader)
+sabnzbd:
+sabnzbd: SABnzbd is an Open Source Binary Newsreader written in Python.
+sabnzbd:
+sabnzbd: SABnzbd makes Usenet as simple and streamlined as possible by
+sabnzbd: automating everything we can. All you have to do is add an .nzb.
+sabnzbd: SABnzbd takes over from there, where it will be automatically
+sabnzbd: downloaded, verified, repaired, extracted and filed away with zero
+sabnzbd: human interaction.
+sabnzbd:
+sabnzbd: More information can be found online at http://www.sabnzbd.org/